# pyteamsnap.models package

## Module contents

class pyteamsnap.models.Availability(client: APIClient, data: Dict[str, Union[str, list]] = {})

  Bases: `BaseApiObject`

  property data

    Data dictionary for object

    Returns

      dict: dict with keys:

    - event_id

    - member_id

    - notes

    - notes_author_member_id

    - source

    - status_code

    - type

  rel: str = 'availabilities'

    rel: Relationship between a linked resource and the current document

  type = 'availability'
  version: str = '3.866.0'

class pyteamsnap.models.AvailabilitySummary(client: APIClient, data: Dict[str, Union[str, list]] = {})

  Bases: `BaseApiObject`

  property data

    Data dictionary for object

    Returns

      dict: dict with keys:

  rel: str = 'availability_summaries'

    rel: Relationship between a linked resource and the current document

  type = 'availability_summary'
  version: str = '3.866.0'

class pyteamsnap.models.Event(client: APIClient, data: Dict[str, Union[str, list]] = {})

  Bases: `BaseApiObject`

  Associated object to a team; and represents an event or game that is tracked in the TeamSnap system. https://www.teamsnap.com/documentation/apiv3/objects#Events

  property data

    Data dictionary for object

    Returns

      dict: dict with strings:

    - type

    - additional_location_details

    - browser_time_zone

    - division_location_id

    - doesnt_count_towards_record

    - duration_in_minutes

    - game_type_code

    - icon_color

    - is_canceled

    - is_game

    - is_overtime

    - is_shootout

    - is_tbd

    - label

    - location_id

    - minutes_to_arrive_early

    - name

    - notes

    - notify_opponent

    - notify_opponent_contacts_email

    - notify_opponent_contacts_name

    - notify_opponent_notes

    - notify_team

    - notify_team_as_member_id

    - opponent_id

    - points_for_opponent

    - points_for_team

    - repeating_include

    - repeating_type_code

    - repeating_until

    - results

    - results_url

    - shootout_points_for_opponent

    - shootout_points_for_team

    - start_date

    - team_id

    - time_zone

    - tracks_availability

    - uniform

  rel: str = 'events'

    rel: Relationship between a linked resource and the current document

  type = 'event'
  version: str = '3.866.0'

class pyteamsnap.models.EventLineup(client: APIClient, data: Dict[str, Union[str, list]] = {})

  Bases: `BaseApiObject`

  property data
    Returns

      dict: dict with strings:

  rel: str = 'event_lineups'

    rel: Relationship between a linked resource and the current document

  template = {}
  type = 'event_lineup'
  version: str = '3.866.0'

class pyteamsnap.models.EventLineupEntry(client: APIClient, data: Dict[str, Union[str, list]] = {})

  Bases: `BaseApiObject`

  property data
    Returns

      dict: dict with strings:

    - member_id

    - sequence

    - label

    - type

  rel: str = 'event_lineup_entries'

    rel: Relationship between a linked resource and the current document

  classmethod search(client, **kwargs)
  type = 'event_lineup_entry'
  version: str = '3.866.0'

class pyteamsnap.models.Location(client: APIClient, data: Dict[str, Union[str, list]] = {})

  Bases: `BaseApiObject`

  property data

    Data dictionary for object

    Returns

      dict: dict with keys:

    - name

    - url

    - phone

    - notes

    - address

    - latitude

    - longitude

    - team_id

    - is_retired

    - type

  rel: str = 'locations'

    rel: Relationship between a linked resource and the current document

  type = 'location'
  version: str = '3.866.0'

class pyteamsnap.models.Me(client)

  Bases: `User`

  The current user’s object. It is not possible to create or delete users via the API; however, it is possible to update data on a user’s record. https://www.teamsnap.com/documentation/apiv3/objects#Me

  rel: str = 'me'

    rel: Relationship between a linked resource and the current document

  type = 'user'
  version: str = '3.866.0'

class pyteamsnap.models.Member(client: APIClient, data: Dict[str, Union[str, list]] = {})

  Bases: `BaseApiObject`

  A member (also referred to as a roster in our web and mobile apps) is a member of a team. https://www.teamsnap.com/documentation/apiv3/objects#Members

  property data

    Data dictionary for object

    Returns

      dict: dict with keys:

    - first_name

    - last_name

    - address_city

    - address_state

    - address_street1

    - address_street2

    - address_zip

    - birthday

    - gender

    - hide_address

    - hide_age

    - is_address_hidden

    - is_age_hidden

    - is_manager

    - is_non_player

    - is_ownership_pending

    - jersey_number

    - position

    - source_action

    - team_id

    - type

  rel: str = 'members'

    rel: Relationship between a linked resource and the current document

  type = 'member'
  version: str = '3.866.0'

class pyteamsnap.models.MemberStatistics(client: APIClient, data: Dict[str, Union[str, list]] = {})

  Bases: `BaseApiObject`

  rel: str = 'member_statistics'

    rel: Relationship between a linked resource and the current document

class pyteamsnap.models.Opponent(client: APIClient, data: Dict[str, Union[str, list]] = {})

  Bases: `BaseApiObject`

  property data

    Data dictionary for object

    Returns

      dict: dict with keys:

    - name

    - contacts_name

    - contacts_phone

    - contacts_email

    - notes

    - team_id

    - type

  rel: str = 'opponents'

    rel: Relationship between a linked resource and the current document

  type = 'opponent'
  version: str = '3.866.0'

class pyteamsnap.models.Statistics(client: APIClient, data: Dict[str, Union[str, list]] = {})

  Bases: `BaseApiObject`

  property data

    Data dictionary for object

    Returns

      dict: dict with keys:

    - acronym

    - always_display_decimals

    - formula

    - is_in_descending_order

    - display_zero_totals

    - is_percentage

    - is_private

    - is_team_statistic

    - is_top_statistic

    - name

    - precision

    - statistic_group_id

    - team_id

    - type

  rel: str = 'statistics'

    rel: Relationship between a linked resource and the current document

  type = 'statistic'
  version: str = '3.866.0'

class pyteamsnap.models.Team(client: APIClient, data: Dict[str, Union[str, list]] = {})

  Bases: `BaseApiObject`

  Associated teams from your origin object. Full CRUD is possible with the teams endpoint. https://www.teamsnap.com/documentation/apiv3/objects#Teams

  property data

    Data dictionary for object

    Returns

      dict: dict with keys:

    - ad_unit_hero_id

    - ad_unit_hero_template_id

    - ad_unit_inline_id

    - division_id

    - division_name

    - is_ownership_pending

    - league_name

    - league_url

    - location_country

    - location_postal_code

    - name

    - owner_email

    - owner_first_name

    - owner_last_name

    - season_name

    - sport_id

    - team

    - time_zone

    - type

  rel: str = 'teams'

    rel: Relationship between a linked resource and the current document

  type = 'team'
  version: str = '3.866.0'

class pyteamsnap.models.User(client: APIClient, data: Dict[str, Union[str, list]] = {})

  Bases: `BaseApiObject`

  property data

    Data dictionary for object

    Returns

      dict: dict with keys:

    - first_name

    - last_name

    - password

    - birthday

    - email

    - facebook_id

    - facebook_access_token

    - type

    - is_lab_rat

    - receives_newsletter

  rel: str = 'users'

    rel: Relationship between a linked resource and the current document

  type = 'user'
  version: str = '3.866.0'